Packages - Bug #2886

Packaging Request # 2506 (in progress): arch introduced a base metapackage to replace the meta group
Housekeeping # 2549 (in progress): move non-systemd packages to [nonsystemd]
Bug # 2576 (confirmed): [openrc-desktop] rearrange openrc groups

systemd and openrc are in conflict (systemd-tools)

2020-08-31 09:14 PM - bill-auger

Status: confirmed % Done: 0%
Priority: bug

Assignee: bill-auger

Category:

Description

this is related to #2884 - we caused these bugs semi-intentionally this week, and are still working through the details to smooth things
out - the full explanations is given on ticket #2884

this ticket is to collect, and resolve any conflcts which arise from the latest change to 'nonsystemd/base’

Subtasks:
Bug # 2884: your-initfreedom and systemd-nss-myhostname are in conflict confirmed

History

#1 - 2020-08-31 09:16 PM - bill-auger

the first one that i found was the 'cups' package - it is required by 'posix' and depends on 'systemd' - this will need to be resolved, so that 'posix’ can
be installed on nonsystemd systems

#2 - 2020-08-31 09:17 PM - bill-auger

redmine user 'lake' reported a related conflict on the forum

lake - exactly what was the command that you typed, which exposed the conflict?

#3 - 2020-08-31 09:26 PM - lake

bill-auger - The command was pacstrap /mnt xorg-server.

#4 - 2020-08-31 09:48 PM - bill-auger

could you try this command instead:

# pacstrap /mnt xorg-server elogind

#5 - 2020-08-31 10:17 PM - lake
Looks like that worked.

#6 - 2022-08-03 12:54 PM - bill-auger
- Parent task set to #2576
